<bugID>270867<Summary>popup blocker fails to block popup (PayPopup.com)</Summary><Description>User-Agent:       Mozilla/5.0 (compatible; Konqueror/3.2) (KHTML, like Gecko)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041109 Firefox/1.0

When the page at http://ngemu.com/ starts, the popup is catched, but if you 
click on one of the console's links, a popup opens. 
Tested with mozilla 1.6 too. 

Reproducible: Always
Steps to Reproduce:
1.Open http://ngemu.com/ with firefox 
2.Once the page is loaded (popup has been blocked), click on a console link 
(i.e. dreamcast) 
3.Popup will open at the right lower corner of the screen 
 
Actual Results:  
Popup opens 

Expected Results:  
Popup blocked 

Javascript code in the page: 
 
&lt;script language="JavaScript"&gt; 
 function Fullsize(adress, iwidth, iheight) { 
    var newurl = '' + adress; 
    var params = 'toolbars=0, scrollbars=0, location=0, statusbars=0, ' + 
                 'width=' + iwidth+ ', height=' + iheight 
                 + ' menubars=0, resizable=0, left=0, top=0'; 
    newwindow=window.open(newurl, 'fullimg', params); 
 } 
//--&gt; 
&lt;/script&gt; 
 
&lt;SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"&gt; 
       &lt;!-- 
       function getto(form, i) { 
       var site = form.elements[i].selectedIndex; 
             if ( site &gt;= 0 ) { 
          top.location = 
form.elements[i].options[site].value; 
          } 
       } 
       // --&gt; 
          &lt;/SCRIPT&gt; 
&lt;!-- PayPopup.com Popup Blocker Detector Begin --&gt; 
&lt;script&gt; 
var PB = false; 
function failed() {PB=true;} 
var firstPop = 
window.open("about:blank","paypopuptest","width=1,height=1,left=5000,top=5000",true); 
window.onerror=failed 
var secondPop = window.open("about:blank","paypopuptest","width=1,height=1"); 
if(firstPop == secondPop) PB=false; 
else PB=true; 
firstPop.blur(); 
firstPop.close(); 
window.onerror=null; 
 
&lt;/script&gt; 
&lt;!-- PayPopup.com Popup Blocker Detector End --&gt; 
&lt;!-- PayPopup.com Advertising Code Begin --&gt; 
&lt;script language="JavaScript"&gt;  
var paypopup_clicked = false; 
function gopaypopup(){ 
 if(paypopup_clicked==false){ 
  paypopup_clicked=true; 
  paypopup(); 
 } 
} 
 
if (PB) { 
 //Pop-Under Code Here 
 document.write('&lt;SCRI'+'PT LANGUAGE="JavaScript1.1" ');  
 document.write(' 
SRC="http://www.PayPopup.com/popup.php?id=Bobbi&amp;pop=enter&amp;t=5&amp;subid=7130"&gt;');  
 document.write('&lt;/SCR'+'IPT&gt;');  
 //Pop-Under Code End 
 dl = document.links; 
 for (i=0; i&lt; dl.length; i++) { 
  if (dl[i].onclick==null &amp;&amp; dl[i].target==""){ dl[i].onclick = 
gopaypopup; } 
 } 
}else{ 
 //Pop-Under Code Here 
  document.write('&lt;SCRI'+'PT LANGUAGE="JavaScript1.1" ');  
  document.write(' 
SRC="http://www.PayPopup.com/popup.php?id=Bobbi&amp;pop=enter&amp;t=5&amp;subid=7130"&gt;');  
  document.write('&lt;/SCR'+'IPT&gt;');  
  //Pop-Under Code End 
} 
&lt;/SCRIPT&gt; 
&lt;!-- PayPopup.com Advertising Code End --&gt; 
 
 
Popup code: 
&lt;HTML&gt; 
&lt;HEAD&gt; 
&lt;TITLE&gt;Advertising_Loading_Window...&lt;/TITLE&gt; 
&lt;script language="JavaScript"&gt; 
&lt;!-- 
GoHideMe(); 
function gopopup(){ 
   delCookie(); 
   var popURL= 
"http://www1.paypopup.com/links.php?id=Bobbi&amp;pk=&amp;subid=7130&amp;tid=w3119u251751&amp;ref=aHR0cDovL25nZW11LmNvbS9nYmEv&amp;pip=&amp;ip=&amp;22222=1"; 
   self.location = popURL; 
self.blur(); 
} 
function GoHideMe(){ 
        self.blur(); 
        self.moveTo(10000,10000); 
        self.resizeTo(1,1); 
        self.blur(); 
  if (navigator.appName=="Netscape") { 
if(window.opener){ 
window.opener.focus(); 
} 
} 
} 
function delCookie(){ 
        document.cookie="active=0;"; 
} 
function ReadCookie(cookieName) { 
 var theCookie=""+document.cookie; 
 var ind=theCookie.indexOf(cookieName); 
 if (ind==-1 || cookieName=="") return ""; 
 var ind1=theCookie.indexOf(';',ind); 
 if (ind1==-1) ind1=theCookie.length; 
 return unescape(theCookie.substring(ind+cookieName.length+1,ind1)); 
} 
//close the window 
if (ReadCookie("popupnum") &gt; 4 || ReadCookie("active") == 1 ){ 
  self.close(); 
} 
document.cookie = "active=1"; 
//read the popup cookie 
var popupnum = ReadCookie("popupnum"); 
if (popupnum == ""){ 
    document.cookie = "popupnum=1"; 
} 
window.setTimeout("gopopup();", 5000); 
// --&gt; 
&lt;/script&gt; 
&lt;/HEAD&gt; 
&lt;BODY onFocus="GoHideMe();" BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#0000FF" 
VLINK="#800080"  onUnload="delCookie();"&gt; 
&lt;small&gt;Advertising Loading Window, Powered by &lt;a href="http://paypopup.com" 
target=_blank&gt;paypopup.com&lt;/a&gt;&lt;/small&gt;&lt;br&gt; 
&lt;img 
src="http://test.yesadvertising.com/links.php?aid=12&amp;pid=1005&amp;cid=1308&amp;lid=1" 
width=1 height=1&gt; 
&lt;/BODY&gt; 
&lt;/HTML&gt;</Description></bugID>